import { BN } from '@coral-xyz/anchor';
export type Modify<T, R> = Omit<T, keyof R> & R;
export declare class FlashLoanWithdraw {
    static index: number;
    static amount: BN;
}
export type FlashLoanType = {
    unknown: Record<string, never>;
} | {
    swap: Record<string, never>;
} | {
    swapWithoutFee: Record<string, never>;
};
export declare namespace FlashLoanType {
    const unknown: {
        unknown: {};
    };
    const swap: {
        swap: {};
    };
    const swapWithoutFee: {
        swapWithoutFee: {};
    };
}
export type HealthCheckKind = {
    maint: Record<string, never>;
} | {
    init: Record<string, never>;
} | {
    liquidationEnd: Record<string, never>;
} | {
    maintRatio: Record<string, never>;
} | {
    initRatio: Record<string, never>;
} | {
    liquidationEndRatio: Record<string, never>;
};
export declare namespace HealthCheckKind {
    const maint: {
        maint: {};
    };
    const init: {
        init: {};
    };
    const liquidationEnd: {
        liquidationEnd: {};
    };
    const maintRatio: {
        maintRatio: {};
    };
    const initRatio: {
        initRatio: {};
    };
    const liquidationEndRatio: {
        liquidationEndRatio: {};
    };
}
export declare class InterestRateParams {
    util0: number;
    rate0: number;
    util1: number;
    rate1: number;
    maxRate: number;
    adjustmentFactor: number;
}
export declare class OracleConfigParams {
    confFilter: number;
    maxStalenessSlots: number | null;
}
